/*
 *    Copyright (c) 1992 Minnesota Supercomputer Center, Inc.
 *    Copyright (c) 1992 Army High Performance Computing Research Center
 *        (AHPCRC), University of Minnesota
 *    Copyright (c) 1995-1999 Laboratory for Computational Science and
 *        Engineering (LCSE), University of Minnesota
 *
 *    This is free software released under the GNU General Public License.
 *    There is no warranty for this software.  See the file COPYING for
 *    details.
 *
 *    See the file CONTRIBUTORS for a list of contributors.
 *
 *    Original author(s):
 *      Ken Chin-Purcell <ken@ahpcrc.umn.edu>
 *
 *    This file is maintained by:
 *      Ken Chin-Purcell <ken@ahpcrc.umn.edu>
 *
 *    Module name: file.h
 *
 *    Description:
 *      
 */

#ifndef __FILE_H__
#define __FILE_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _FileFormat {
    ASCII_INDEX, ASCII_PLAIN, BIN_LEAVE, BIN_ROW
} FileFormat;


/* Function Prototypes */

int	FileSaveBar (ColorBar *cbar, char *fname, FileFormat format);
int	FileOpenBar (ColorBar *cbar, char *fname, FileFormat format);

#ifdef __cplusplus
}
#endif

#endif /* __FILE_H__ */
